@use "../../../../../stylesheets/mpa-mixins" as mixin;

// FILE INPUT DROPZONE
.file-input-dropzone {
    width: 90%; // height and width should be adjusted in the corresponding parent, if needed
    height: 14rem;

    margin: auto;
    margin-bottom: 1vh;
    border: 1px dashed;
    align-content: center;

    @include mixin.mpa-primary-background-and-border-color(0, 100);
    transition: background-color 0.25s linear; // hides jittery background-color switching due to dragleave being called when cursor is moved too fast

    & .not-displayed {
        display: none;
    }

    & .file-input-dropzone-selected-display {
        height: 70%;

        & .file-grid-list {
            display: grid;
            row-gap: 1ch;
            grid-template-columns: [fileName] 80% [deleteButton] 20%;
            grid-template-rows: fit-content;

            margin-left: auto;
            margin-right: auto;
            width: 60%;
            height: 70%;

            overflow-y: auto;

            & .file-input-list-item-name {
                align-self: center;
                text-align: left;
                overflow-x: hidden;
                text-overflow: ellipsis;
            }

            & .file-input-list-item-button {
                align-self: center;

            }
        }
    }
}

.dropzone-highlight {
    @include mixin.mpa-accent-background-and-border-color(100, 50);
}
